Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class GroupwarePreferences

    java.lang.Object
      portlets.compoze.groupware.pref.AbstractPreferences
          portlets.compoze.groupware.pref.GroupwarePreferences

All Implemented Interfaces:
  java.io.Serializable

public class GroupwarePreferences
extends AbstractPreferences
implements java.io.Serializable

This class represents the user configurable groupware settings. For changes to be committed, the `update` method must be called.

See Also:
  Serialized Form

Constructor Summary
`GroupwarePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, java.lang.String sInstanceLabel)` Constructor.

Method Summary
`java.util.Calendar` | `getCalendar()` Gets a calendar instance using the preferences time zone and locale.
`java.util.Locale` | `getLocale()` Gets the locale.
`java.util.TimeZone` | `getTimeZone()` Gets the time zone.
`void` | `setLocale(java.util.Locale locale)` Sets the locale.
`void` | `setTimeZone(java.util.TimeZone timeZone)` Sets the time zone.

Methods inherited from class portlets.compoze.groupware.pref.AbstractPreferences
`getInstanceLabel, getPreference, setPreference, setPreference, setPreference, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupwarePreferences

    public GroupwarePreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                                java.lang.String sInstanceLabel)
                         throws GroupwareException

  Constructor.

Parameters:
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### getLocale

    public java.util.Locale getLocale()

  Gets the locale.

  Returns:
    the locale

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets the locale.

  Parameters:
    `locale` - the locale (may not be `null`)

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Gets the time zone.

  Returns:
    the time zone

### setTimeZone

    public void setTimeZone(java.util.TimeZone timeZone)

  Sets the time zone.

  Parameters:
    `timeZone` - the time zone (may not be `null`)

### getCalendar

    public java.util.Calendar getCalendar()

  Gets a calendar instance using the preferences time zone and locale.

  Returns:
    the calendar instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.